################################################################################
## GITLAB-CI.YML || TEST PROJECT
################################################################################
stages:
  - trololo
  - tralala

image: my.very.private.registry.com/but/actually/its/just/alpine:latest

################################################################################
## VARIABLES || HERE BE THE SECRETS
################################################################################
variables:
  SUPER_SECRET: "123"
## commented variable is extra special
  EXTRA_SPECIAL: "true"


################################################################################
## GLOBAL STUFF
################################################################################
## global before/after
before_script:
  - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID_SHARED_SERVICES_PRD
  - aws configure set aws_secret_access_key $AWS_SECRET_KEY_SHARED_SERVICES_PRD
  - aws configure set default.region us-west-2
  - AWS_LOGIN_TOKEN=$(aws ecr get-login-password)
  - docker info
  - docker images
  - docker login -u AWS -p $AWS_LOGIN_TOKEN $REGISTRY_URL
after_script:
  - docker images
  - echo "Done!"


################################################################################
## JOBS || IN THIS ECONOMY?!
################################################################################

## A JOB
################################################
myjob:
  stage: trololo
  tags:
    - you-totally-do-not-have-this-runner
  script:
    - ./extremely-important-private-binary
    - echo this echo won't work because I don't have that binary
  after_script:
    - curl2 -s https://internal.url/its/always/dns
    - echo "They made a sequel to curl!?!"

## ANOTHER JOB
################################################
yourjob:
  stage: tralala
  image: my.very.private.registry.com/but/actually/its/just/ruby:latest
  script:
    - ./extremely-unimportant-private-binary
    - echo this echo won't work because I don't have that binary either
  before_script:
    - echo "I'm special and have my own before_script"